Subject: bug#26157: [PATCH 1/2] gnu: Add fmt.

From: Leo Famulari <[email-masked]>
Date: Sat, 18 Mar 2017 13:07:38 -0400

On Sat, Mar 18, 2017 at 04:54:01PM +0100, Marius Bakke wrote:
> * gnu/packages/pretty-print.scm (fmt): New variable.
> +                    "https://github.com/fmtlib/fmt/archive/"
> +                    version ".tar.gz"))
> +              (file-name (string-append name "-" version ".tar.gz"))

This is one of those repo snapshot tarballs that GitHub automatically
generates when you make a new tag or release. I think we should use
'fmt-3.0.1.zip', because that was prepared specially for the release by
the upstream maintainers.

> +    (synopsis "Small, safe and fast C++ formatting library")

I'd leave "safe" out of the synopsis. Like saying it's "different" or
"secure", it's only meaningful when we say what it's safe from. For
example, safe from a wildebeest stampede, or from printf format-string
attacks ;) There's space for this in the description.